//             (C) by Florian Lindner 1998
//---------------------------------------------------------------------------
#ifndef FBtPlayH
#define FBtPlayH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
#include <vcl\windows.hpp>
//---------------------------------------------------------------------------
class FBtSound : public TGraphicControl
{
private:
    enum TKindFBtSound { Play, Stop };
    bool clicked;
    void __fastcall PaintClicked();
    void __fastcall PaintClickedPlay();
    void __fastcall PaintClickedStop();
    void __fastcall PaintNormal();
    void __fastcall PaintNormalPlay();
    void __fastcall PaintNormalStop();
    void __fastcall PaintDisabled();
    void __fastcall PaintDisabledPlay();
    void __fastcall PaintDisabledStop();
    void __fastcall PaintNormalMouseNotOver();
    void __fastcall PaintNormalPlayMouseNotOver();
    void __fastcall PaintNormalStopMouseNotOver();
    void __fastcall PaintDisabledMouseNotOver();
    void __fastcall PaintDisabledPlayMouseNotOver();
    void __fastcall PaintDisabledStopMouseNotOver();
    TRect r;
    TRect b;
    TRect rect;
    TColor c;
  	TKindFBtSound FKind;
    void __fastcall SetKind(TKindFBtSound);
    Boolean FChecked;
    void __fastcall SetChecked(bool);
    void __fastcall inline point(int,int);
    Boolean FMouseOver;
protected:
    void __fastcall Paint();
    void __fastcall MouseDown(TMouseButton,TShiftState,int,int);
    void __fastcall MouseUp(TMouseButton,TShiftState,int,int);
    void __fastcall CMMouseEnter(TMessage *);
    void __fastcall CMMouseLeave(TMessage *);
public:
	__fastcall FBtSound(TComponent* Owner);
    void __fastcall SetBounds(int,int,int,int);
__published:
    __property Enabled ;
    __property OnClick ;
    __property OnMouseMove ;
    __property Boolean Checked = {read=FChecked, write=SetChecked, default=0};
    __property TKindFBtSound Kind = { read=FKind, write=SetKind, default=Play };
    __property ShowHint;
BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(CM_MOUSEENTER, TMessage *, CMMouseEnter);
    MESSAGE_HANDLER(CM_MOUSELEAVE, TMessage *, CMMouseLeave);
END_MESSAGE_MAP(TGraphicControl);
};
//---------------------------------------------------------------------------
#endif
